#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_with	curl		# enable webready with HTTP support via curl

Summary:	EXIF and IPTC metadata manipulation tools
Summary(pl.UTF-8):	Narzędzia do obróbki metadanych EXIF i IPTC
Name:		exiv2
Version:	0.28.2
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
#Source0Download: https://github.com/Exiv2/exiv2/releases
Source0:	https://github.com/Exiv2/exiv2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	75a8766216a15ad104f09ab4a0eab7ca
URL:		https://github.com/Exiv2/exiv2
BuildRequires:	cmake >= 3.11.0
%{?with_curl:BuildRequires:	curl-devel}
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	expat-devel
BuildRequires:	gettext-tools
BuildRequires:	inih-c++-devel
BuildRequires:	libbrotli-devel
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EXIF and IPTC metadata manipulation tools.

%description -l pl.UTF-8
Narzędzia do obróbki metadanych EXIF i IPTC.

%package libs
Summary:	EXIF and IPTC metadata manipulation library
Summary(pl.UTF-8):	Biblioteka do obróbki metadanych EXIF i IPTC
Group:		Libraries

%description libs
EXIF and IPTC metadata manipulation library.

%description libs -l pl.UTF-8
Biblioteka do obróbki metadanych EXIF i IPTC.

%package devel
Summary:	EXIF and IPTC metadata manipulation library development files
Summary(pl.UTF-8):	Pliki programistyczne biblioteki do obróbki metadanych EXIF i IPTC
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
%{?with_curl:Requires:	curl-devel}
Requires:	expat-devel
Requires:	inih-c++-devel
Requires:	libstdc++-devel
Requires:	zlib-devel
Obsoletes:	exiv2-static < 0.27.0a-3

%description devel
EXIF and IPTC metadata manipulation library development files.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki do obróbki metadanych EXIF i IPTC.

%package apidocs
Summary:	API documentation for exiv2 library
Summary(pl.UTF-8):	Dokumentacja API biblioteki exiv2
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for exiv2 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki exiv2.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_DOCDIR=%{_docdir}/exiv2 \
	%{?with_apidocs:-DEXIV2_BUILD_DOC=ON} \
	-DEXIV2_BUILD_SAMPLES=OFF \
	-DEXIV2_ENABLE_BMFF=ON \
	%{?with_curl:-DEXIV2_ENABLE_CURL=ON} \
	-DEXIV2_ENABLE_NLS=ON \
	-DEXIV2_ENABLE_VIDEO=ON \
	%{?with_curl:-DEXIV2_ENABLE_WEBREADY=ON}

%{__make}

%if %{with apidocs}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README.md doc/ChangeLog doc/cmd.txt
%attr(755,root,root) %{_bindir}/exiv2
%{_mandir}/man1/exiv2.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexiv2.so.28

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexiv2.so
%{_includedir}/exiv2
%{_pkgconfigdir}/exiv2.pc
%{_libdir}/cmake/exiv2

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_docdir}/exiv2
%endif
%changelog
* Fri Mar 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/exiv2.git;a=log;h=master

* Fri Mar 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 7621c1a
- updated to 0.28.2

* Sat Jan 13 2024 Jakub Bogusz <qboosh@pld-linux.org> ecf2a3c
- updated to 0.28.1 (fixes CVE-2023-44398)

* Tue Jul 25 2023 Jan Palus <atler@pld-linux.org> fcce7b9
- update deps

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 4b50535
- updated to 0.28.0 (new soname)

* Fri Jan 20 2023 Jakub Bogusz <qboosh@pld-linux.org> fa5b1de
- updated to 0.27.6

* Sat Dec 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 7ba38da
- updated to 0.27.5

* Wed Aug 18 2021 Jakub Bogusz <qboosh@pld-linux.org> d7f72c8
- build apidocs

* Wed Aug 18 2021 Jakub Bogusz <qboosh@pld-linux.org> e673878
- enabled BMFF support

* Wed Aug 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 64230d0
- updated to 0.27.4
- updated no-xmpsdk-install patch
- removed obsolete cmake,compiler_flags patches

* Wed Nov 04 2020 Jan Palus <atler@pld-linux.org> 88991cb
- fix build on platforms without control flow protection

* Sat Jul 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 22e65ae
- updated to 0.27.3

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 7629f86
- updated to 0.27.2
- updated cmake patch (one part obsolete)

* Wed Jul 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 424f456
- updated to 0.27.1
- updated cmake patch (support absolute CMAKE_INSTALL_*DIR)
- updated no-xmpsdk-install patch

* Sun Mar 03 2019 Jakub Bogusz <qboosh@pld-linux.org> 4791c70
- cmake hacking replaced by no-xmpsdk-install patch
- obsolete -static

* Sun Mar 03 2019 Jan Rękorajski <baggins@pld-linux.org> fa1aa10
- upstreaem cmake fixes
- rel 5

* Sun Mar 03 2019 Jan Rękorajski <baggins@pld-linux.org> 2708cc7
- both cmake configs are needed
- rel 4

* Sat Mar 02 2019 Jan Rękorajski <baggins@pld-linux.org> 49cad50
- drop static lib, it's completely useless
- try fixing cmake file generation
- rel 3

* Fri Mar 01 2019 Adam Osuchowski <adwol@pld-linux.org> 3c0859a
- replace exiv2Config.cmake with exiv2Config-pld.cmake
- rel 2

* Sat Jan 05 2019 Jakub Bogusz <qboosh@pld-linux.org> fc5e6f2
- updated to 0.27.0a (new soname, build system switched to cmake)
- removed outdated mkinstalldirs,png_support patches

* Sat Dec 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 8e97626
- check-files cleanup

